module updatephi_i

 interface
subroutine updatephi(params, an, phip, phim)
  use input_params
  real*8, dimension(100) :: params
  real*8, dimension(:,:,:) :: an, phip, phim
  integer nx, ny, nz, sh(3)
  real*8 dt, h

 end subroutine 
 end interface 

 end module
